<div class="mat-dialog-content-container">
    <h1 mat-dialog-title>{{data.action.label}}</h1>
    <div mat-dialog-content>
        <div *ngIf="loading" class="loading" style="display:flex;height:100%;">
            <mat-spinner style="margin:auto;"></mat-spinner>
        </div>
        <div class="row">
            <div class="col-md-12">
                {{lang.makeActionOn}}
                <b *ngIf="data.resIds.length === 0" color="primary" class="highlight">{{lang.currentIndexingMail}}</b>
                <b *ngIf="data.resIds.length === 1" color="primary" class="highlight">{{data.resource.chrono}}</b>
                <b *ngIf="data.resIds.length > 1" color="primary" class="highlight">{{data.resIds.length}}
                    {{lang.elements}}</b> ?
                <div class="alert-message alert-message-info" role="alert" style="margin-top: 30px;"
                    [innerHTML]="lang.updateClosingDate"></div>
                <div class="alert-message alert-message-info" role="alert" style="margin-top: 30px;"
                    [innerHTML]="lang.openIndexation"></div>
            </div>
            <div class="col-md-12">
                <app-note-editor #noteEditor [resIds]="data.selectedRes"></app-note-editor>
            </div>
        </div>
    </div>
    <span class="divider-modal"></span>
    <div mat-dialog-actions class="actions">
        <button mat-raised-button mat-button color="primary" [disabled]="loading"
            (click)="onSubmit()">{{lang.validate}}</button>
        <button mat-raised-button mat-button [disabled]="loading" [mat-dialog-close]="">{{lang.cancel}}</button>
    </div>
</div>